User Tag List

Results 1 to 9 of 9

Thread: Xcode 8 AdMob errors, but I'm not using AdMob...

  1. #1
    Clicker Fusion 2.5 DeveloperAndroid Export ModuleiOS Export Module

    Join Date
    Apr 2008
    Location
    Nova Scotia, Canada
    Posts
    48
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Xcode 8 AdMob errors, but I'm not using AdMob...

    In Xcode 8 I get the following errors when trying to build:

    clang: error: no such file or directory: '/Users/jonathanduggan/Documents/Fall/xcode/Fall_Pit/Classes/Extensions/CRunAdMob.m'
    clang: error: no input files

    I don't understand why I'm getting this, I'm not even using AdMob. The object is not in my game in Fusion, nor are there any events for it. I used to have it but it was taken out a long time ago and replaced with Chartboost. (The object and everything related to it was deleted.)

    This is also from building a final xcode project.

    Is AdMob supposed to be bundled in anyway even if it's not used?

  2. #2
    Clicker Fusion 2.5 DeveloperFusion 2.5+ DLCAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleSWF Export ModuleXNA Export ModuleUnicode Add-on
    mobichan's Avatar
    Join Date
    Oct 2007
    Location
    Buffalo, NY
    Posts
    3,276
    Mentioned
    26 Post(s)
    Tagged
    0 Thread(s)
    It would be nice if the exporter would exclude the need for the SDK if no actual events are detected for the ad objects. I try to maintain a single mfa for all runtimes (iOS, Android and PC) and use admob ONLY for android. But now the sdk is required in xcode to build the project, even though all admob events use the "Is running as Android application?" condition.

    And honestly, I don't have time to figure out how to add that library to XCode just to make a build. So I end up deleting all events for admob when I have to build for iOS.

  3. #3
    Clickteam Clickteam
    Fernando's Avatar
    Join Date
    Dec 2006
    Posts
    6,080
    Mentioned
    138 Post(s)
    Tagged
    3 Thread(s)
    @mutantdude should be something in at your side , did you test with a new final project

    if you want please upload for me to see, but I have been working all this week with many final project and none of them add admob, unless you still in a lower version?

    @mobichan well about frameworks and libraries, is not easy to make a project in windows and send to apple, what CT have done so far is amazing. (personal opinion, I am the last in the row)

    about the libs: from unity to cocos and many other games/apps runtime, all of them have the same requirement user need to add the framework and btw is just a click away as the commercial will say.

    and for now anything that will come will require you to add their framework, also framework change almost every month, like chartboost, ironsource, admob.

    stay in touch I will promote the dev for pushwoosh in android and iOS, and again it will need you to add this framework.

    why did do not happens in android?, simple, the way everything is packed is very nice, simple and clean, something that is not possible in iOS,
    Regards,


    Fernando Vivolo

    ... new things are coming ...

  4. #4
    Clicker Fusion 2.5 DeveloperFusion 2.5+ DLCAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleSWF Export ModuleXNA Export ModuleUnicode Add-on
    mobichan's Avatar
    Join Date
    Oct 2007
    Location
    Buffalo, NY
    Posts
    3,276
    Mentioned
    26 Post(s)
    Tagged
    0 Thread(s)
    I understand you need it if you USE it, but since I am not actually using it in that specific runtime, it would be nice if there was something in place in the exporter that stripped out the admob components from the iOS exporter. Otherwise I will be adding an sdk to a project that doesn't need it.

  5. #5
    Clickteam Clickteam
    Fernando's Avatar
    Join Date
    Dec 2006
    Posts
    6,080
    Mentioned
    138 Post(s)
    Tagged
    3 Thread(s)
    admob is not in final export mode, I will ask Yves to see if something can be done for Xcode Project

    but, are so many extension some of them use libs some of them not.
    Regards,


    Fernando Vivolo

    ... new things are coming ...

  6. #6
    Clicker Fusion 2.5 DeveloperFusion 2.5+ DLCAndroid Export ModuleHTML5 Export ModuleiOS Export ModuleSWF Export ModuleXNA Export ModuleUnicode Add-on
    mobichan's Avatar
    Join Date
    Oct 2007
    Location
    Buffalo, NY
    Posts
    3,276
    Mentioned
    26 Post(s)
    Tagged
    0 Thread(s)
    Maybe it is a bug then? I was exporting Final Xcode Project (to avoid the Ironsource errors I get from using Xcode project export) and still was unable to build in xcode. It seems all ad networks require libs in xcode even if you aren't using them.

  7. #7
    Clicker Fusion 2.5 DeveloperAndroid Export ModuleiOS Export Module

    Join Date
    Apr 2008
    Location
    Nova Scotia, Canada
    Posts
    48
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Mine was a final xcode project. I think what happened was that I deleted the AdMob object, but didn't save the MFA before building. It must be building from the current saved MFA. Anyway, I tried building a final project again, and also got rid of xcode 8 in favour of 7.3.1. Now I just have the chartboost errors as described in my last post.

    And I do agree, what Clickteam has been doing is really amazing. It can't be a very easy task trying to keep up with all these new SDKs, integrate them with the objects in Fusion, and have everything work with new versions of xcode and iOS.

  8. #8
    Clickteam Clickteam
    Fernando's Avatar
    Join Date
    Dec 2006
    Posts
    6,080
    Mentioned
    138 Post(s)
    Tagged
    3 Thread(s)
    Quote Originally Posted by mobichan View Post
    Maybe it is a bug then? I was exporting Final Xcode Project (to avoid the Ironsource errors I get from using Xcode project export) and still was unable to build in xcode. It seems all ad networks require libs in xcode even if you aren't using them.
    as mentioned in the help of the object and the object disclaimer in iOS you need to add the framework according your particular case, please follow the link instruction

    http://developers.ironsrc.com/ironso...-networks-ios/
    Regards,


    Fernando Vivolo

    ... new things are coming ...

  9. #9
    Clicker Fusion 2.5Fusion 2.5 MaciOS Export ModuleInstall Creator Pro
    Fusion 2.5 (Steam)Fusion 2.5 Developer (Steam)Android Export Module (Steam)HTML5 Export Module (Steam)iOS Export Module (Steam)Universal Windows Platform Export Module (Steam)
    advaith's Avatar
    Join Date
    Jun 2015
    Location
    SF Bay Area, California, USA
    Posts
    1,325
    Mentioned
    1 Post(s)
    Tagged
    0 Thread(s)
    Quote Originally Posted by mutantdude View Post
    and also got rid of xcode 8 in favour of 7.3.1.
    You can't use 7 any more...

Similar Threads

  1. Admob for iOS - xcode error
    By maxtimoteo in forum iOS Export Module 2.5
    Replies: 15
    Last Post: 25th April 2019, 02:35 PM
  2. Replies: 7
    Last Post: 14th July 2018, 07:29 PM
  3. Problem archiving Xcode with AdMob
    By Epic_Elephant in forum iOS Export Module 2.5
    Replies: 1
    Last Post: 17th July 2016, 07:27 PM
  4. Is AdMob Mediation possible with the AdMob extension?
    By laba9999 in forum Android Export Module 2.5
    Replies: 1
    Last Post: 23rd May 2016, 09:52 PM
  5. Xcode errors
    By WhatPixelYouOn in forum iOS Export Module Version 2.0
    Replies: 5
    Last Post: 14th April 2013, 02:25 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •